import { getEndpointPlugin } from "@aws-sdk/middleware-endpoint";
import { getSerdePlugin } from "@aws-sdk/middleware-serde";
import { Command as $Command } from "@aws-sdk/smithy-client";
import { DeleteDomainPermissionsPolicyRequestFilterSensitiveLog, DeleteDomainPermissionsPolicyResultFilterSensitiveLog, } from "../models/models_0";
import { deserializeAws_restJson1DeleteDomainPermissionsPolicyCommand, serializeAws_restJson1DeleteDomainPermissionsPolicyCommand, } from "../protocols/Aws_restJson1";
export class DeleteDomainPermissionsPolicyCommand extends $Command {
    constructor(input) {
        super();
        this.input = input;
    }
    static getEndpointParameterInstructions() {
        return {
            UseFIPS: { type: "builtInParams", name: "useFipsEndpoint" },
            Endpoint: { type: "builtInParams", name: "endpoint" },
            Region: { type: "builtInParams", name: "region" },
            UseDualStack: { type: "builtInParams", name: "useDualstackEndpoint" },
        };
    }
    resolveMiddleware(clientStack, configuration, options) {
        this.middlewareStack.use(getSerdePlugin(configuration, this.serialize, this.deserialize));
        this.middlewareStack.use(getEndpointPlugin(configuration, DeleteDomainPermissionsPolicyCommand.getEndpointParameterInstructions()));
        const stack = clientStack.concat(this.middlewareStack);
        const { logger } = configuration;
        const clientName = "CodeartifactClient";
        const commandName = "DeleteDomainPermissionsPolicyCommand";
        const handlerExecutionContext = {
            logger,
            clientName,
            commandName,
            inputFilterSensitiveLog: DeleteDomainPermissionsPolicyRequestFilterSensitiveLog,
            outputFilterSensitiveLog: DeleteDomainPermissionsPolicyResultFilterSensitiveLog,
        };
        const { requestHandler } = configuration;
        return stack.resolve((request) => requestHandler.handle(request.request, options || {}), handlerExecutionContext);
    }
    serialize(input, context) {
        return serializeAws_restJson1DeleteDomainPermissionsPolicyCommand(input, context);
    }
    deserialize(output, context) {
        return deserializeAws_restJson1DeleteDomainPermissionsPolicyCommand(output, context);
    }
}
