import { CodeartifactServiceException as __BaseException } from "./CodeartifactServiceException";
export class AccessDeniedException extends __BaseException {
    constructor(opts) {
        super({
            name: "AccessDeniedException",
            $fault: "client",
            ...opts,
        });
        this.name = "AccessDeniedException";
        this.$fault = "client";
        Object.setPrototypeOf(this, AccessDeniedException.prototype);
    }
}
export var AllowPublish;
(function (AllowPublish) {
    AllowPublish["ALLOW"] = "ALLOW";
    AllowPublish["BLOCK"] = "BLOCK";
})(AllowPublish || (AllowPublish = {}));
export var AllowUpstream;
(function (AllowUpstream) {
    AllowUpstream["ALLOW"] = "ALLOW";
    AllowUpstream["BLOCK"] = "BLOCK";
})(AllowUpstream || (AllowUpstream = {}));
export var HashAlgorithm;
(function (HashAlgorithm) {
    HashAlgorithm["MD5"] = "MD5";
    HashAlgorithm["SHA1"] = "SHA-1";
    HashAlgorithm["SHA256"] = "SHA-256";
    HashAlgorithm["SHA512"] = "SHA-512";
})(HashAlgorithm || (HashAlgorithm = {}));
export var PackageFormat;
(function (PackageFormat) {
    PackageFormat["MAVEN"] = "maven";
    PackageFormat["NPM"] = "npm";
    PackageFormat["NUGET"] = "nuget";
    PackageFormat["PYPI"] = "pypi";
})(PackageFormat || (PackageFormat = {}));
export var ExternalConnectionStatus;
(function (ExternalConnectionStatus) {
    ExternalConnectionStatus["AVAILABLE"] = "Available";
})(ExternalConnectionStatus || (ExternalConnectionStatus = {}));
export var ResourceType;
(function (ResourceType) {
    ResourceType["ASSET"] = "asset";
    ResourceType["DOMAIN"] = "domain";
    ResourceType["PACKAGE"] = "package";
    ResourceType["PACKAGE_VERSION"] = "package-version";
    ResourceType["REPOSITORY"] = "repository";
})(ResourceType || (ResourceType = {}));
export class ConflictException extends __BaseException {
    constructor(opts) {
        super({
            name: "ConflictException",
            $fault: "client",
            ...opts,
        });
        this.name = "ConflictException";
        this.$fault = "client";
        Object.setPrototypeOf(this, ConflictException.prototype);
        this.resourceId = opts.resourceId;
        this.resourceType = opts.resourceType;
    }
}
export class InternalServerException extends __BaseException {
    constructor(opts) {
        super({
            name: "InternalServerException",
            $fault: "server",
            ...opts,
        });
        this.name = "InternalServerException";
        this.$fault = "server";
        Object.setPrototypeOf(this, InternalServerException.prototype);
    }
}
export class ResourceNotFoundException extends __BaseException {
    constructor(opts) {
        super({
            name: "ResourceNotFoundException",
            $fault: "client",
            ...opts,
        });
        this.name = "ResourceNotFoundException";
        this.$fault = "client";
        Object.setPrototypeOf(this, ResourceNotFoundException.prototype);
        this.resourceId = opts.resourceId;
        this.resourceType = opts.resourceType;
    }
}
export class ServiceQuotaExceededException extends __BaseException {
    constructor(opts) {
        super({
            name: "ServiceQuotaExceededException",
            $fault: "client",
            ...opts,
        });
        this.name = "ServiceQuotaExceededException";
        this.$fault = "client";
        Object.setPrototypeOf(this, ServiceQuotaExceededException.prototype);
        this.resourceId = opts.resourceId;
        this.resourceType = opts.resourceType;
    }
}
export class ThrottlingException extends __BaseException {
    constructor(opts) {
        super({
            name: "ThrottlingException",
            $fault: "client",
            ...opts,
        });
        this.name = "ThrottlingException";
        this.$fault = "client";
        Object.setPrototypeOf(this, ThrottlingException.prototype);
        this.retryAfterSeconds = opts.retryAfterSeconds;
    }
}
export var ValidationExceptionReason;
(function (ValidationExceptionReason) {
    ValidationExceptionReason["CANNOT_PARSE"] = "CANNOT_PARSE";
    ValidationExceptionReason["ENCRYPTION_KEY_ERROR"] = "ENCRYPTION_KEY_ERROR";
    ValidationExceptionReason["FIELD_VALIDATION_FAILED"] = "FIELD_VALIDATION_FAILED";
    ValidationExceptionReason["OTHER"] = "OTHER";
    ValidationExceptionReason["UNKNOWN_OPERATION"] = "UNKNOWN_OPERATION";
})(ValidationExceptionReason || (ValidationExceptionReason = {}));
export class ValidationException extends __BaseException {
    constructor(opts) {
        super({
            name: "ValidationException",
            $fault: "client",
            ...opts,
        });
        this.name = "ValidationException";
        this.$fault = "client";
        Object.setPrototypeOf(this, ValidationException.prototype);
        this.reason = opts.reason;
    }
}
export var PackageVersionErrorCode;
(function (PackageVersionErrorCode) {
    PackageVersionErrorCode["ALREADY_EXISTS"] = "ALREADY_EXISTS";
    PackageVersionErrorCode["MISMATCHED_REVISION"] = "MISMATCHED_REVISION";
    PackageVersionErrorCode["MISMATCHED_STATUS"] = "MISMATCHED_STATUS";
    PackageVersionErrorCode["NOT_ALLOWED"] = "NOT_ALLOWED";
    PackageVersionErrorCode["NOT_FOUND"] = "NOT_FOUND";
    PackageVersionErrorCode["SKIPPED"] = "SKIPPED";
})(PackageVersionErrorCode || (PackageVersionErrorCode = {}));
export var PackageVersionStatus;
(function (PackageVersionStatus) {
    PackageVersionStatus["ARCHIVED"] = "Archived";
    PackageVersionStatus["DELETED"] = "Deleted";
    PackageVersionStatus["DISPOSED"] = "Disposed";
    PackageVersionStatus["PUBLISHED"] = "Published";
    PackageVersionStatus["UNFINISHED"] = "Unfinished";
    PackageVersionStatus["UNLISTED"] = "Unlisted";
})(PackageVersionStatus || (PackageVersionStatus = {}));
export var DomainStatus;
(function (DomainStatus) {
    DomainStatus["ACTIVE"] = "Active";
    DomainStatus["DELETED"] = "Deleted";
})(DomainStatus || (DomainStatus = {}));
export var PackageVersionOriginType;
(function (PackageVersionOriginType) {
    PackageVersionOriginType["EXTERNAL"] = "EXTERNAL";
    PackageVersionOriginType["INTERNAL"] = "INTERNAL";
    PackageVersionOriginType["UNKNOWN"] = "UNKNOWN";
})(PackageVersionOriginType || (PackageVersionOriginType = {}));
export var PackageVersionSortType;
(function (PackageVersionSortType) {
    PackageVersionSortType["PUBLISHED_TIME"] = "PUBLISHED_TIME";
})(PackageVersionSortType || (PackageVersionSortType = {}));
export const AssetSummaryFilterSensitiveLog = (obj) => ({
    ...obj,
});
export const AssociateExternalConnectionRequestFilterSensitiveLog = (obj) => ({
    ...obj,
});
export const RepositoryExternalConnectionInfoFilterSensitiveLog = (obj) => ({
    ...obj,
});
export const UpstreamRepositoryInfoFilterSensitiveLog = (obj) => ({
    ...obj,
});
export const RepositoryDescriptionFilterSensitiveLog = (obj) => ({
    ...obj,
});
export const AssociateExternalConnectionResultFilterSensitiveLog = (obj) => ({
    ...obj,
});
export const CopyPackageVersionsRequestFilterSensitiveLog = (obj) => ({
    ...obj,
});
export const PackageVersionErrorFilterSensitiveLog = (obj) => ({
    ...obj,
});
export const SuccessfulPackageVersionInfoFilterSensitiveLog = (obj) => ({
    ...obj,
});
export const CopyPackageVersionsResultFilterSensitiveLog = (obj) => ({
    ...obj,
});
export const TagFilterSensitiveLog = (obj) => ({
    ...obj,
});
export const CreateDomainRequestFilterSensitiveLog = (obj) => ({
    ...obj,
});
export const DomainDescriptionFilterSensitiveLog = (obj) => ({
    ...obj,
});
export const CreateDomainResultFilterSensitiveLog = (obj) => ({
    ...obj,
});
export const UpstreamRepositoryFilterSensitiveLog = (obj) => ({
    ...obj,
});
export const CreateRepositoryRequestFilterSensitiveLog = (obj) => ({
    ...obj,
});
export const CreateRepositoryResultFilterSensitiveLog = (obj) => ({
    ...obj,
});
export const DeleteDomainRequestFilterSensitiveLog = (obj) => ({
    ...obj,
});
export const DeleteDomainResultFilterSensitiveLog = (obj) => ({
    ...obj,
});
export const DeleteDomainPermissionsPolicyRequestFilterSensitiveLog = (obj) => ({
    ...obj,
});
export const ResourcePolicyFilterSensitiveLog = (obj) => ({
    ...obj,
});
export const DeleteDomainPermissionsPolicyResultFilterSensitiveLog = (obj) => ({
    ...obj,
});
export const DeletePackageVersionsRequestFilterSensitiveLog = (obj) => ({
    ...obj,
});
export const DeletePackageVersionsResultFilterSensitiveLog = (obj) => ({
    ...obj,
});
export const DeleteRepositoryRequestFilterSensitiveLog = (obj) => ({
    ...obj,
});
export const DeleteRepositoryResultFilterSensitiveLog = (obj) => ({
    ...obj,
});
export const DeleteRepositoryPermissionsPolicyRequestFilterSensitiveLog = (obj) => ({
    ...obj,
});
export const DeleteRepositoryPermissionsPolicyResultFilterSensitiveLog = (obj) => ({
    ...obj,
});
export const DescribeDomainRequestFilterSensitiveLog = (obj) => ({
    ...obj,
});
export const DescribeDomainResultFilterSensitiveLog = (obj) => ({
    ...obj,
});
export const DescribePackageRequestFilterSensitiveLog = (obj) => ({
    ...obj,
});
export const PackageOriginRestrictionsFilterSensitiveLog = (obj) => ({
    ...obj,
});
export const PackageOriginConfigurationFilterSensitiveLog = (obj) => ({
    ...obj,
});
export const PackageDescriptionFilterSensitiveLog = (obj) => ({
    ...obj,
});
export const DescribePackageResultFilterSensitiveLog = (obj) => ({
    ...obj,
});
export const DescribePackageVersionRequestFilterSensitiveLog = (obj) => ({
    ...obj,
});
export const LicenseInfoFilterSensitiveLog = (obj) => ({
    ...obj,
});
export const DomainEntryPointFilterSensitiveLog = (obj) => ({
    ...obj,
});
export const PackageVersionOriginFilterSensitiveLog = (obj) => ({
    ...obj,
});
export const PackageVersionDescriptionFilterSensitiveLog = (obj) => ({
    ...obj,
});
export const DescribePackageVersionResultFilterSensitiveLog = (obj) => ({
    ...obj,
});
export const DescribeRepositoryRequestFilterSensitiveLog = (obj) => ({
    ...obj,
});
export const DescribeRepositoryResultFilterSensitiveLog = (obj) => ({
    ...obj,
});
export const DisassociateExternalConnectionRequestFilterSensitiveLog = (obj) => ({
    ...obj,
});
export const DisassociateExternalConnectionResultFilterSensitiveLog = (obj) => ({
    ...obj,
});
export const DisposePackageVersionsRequestFilterSensitiveLog = (obj) => ({
    ...obj,
});
export const DisposePackageVersionsResultFilterSensitiveLog = (obj) => ({
    ...obj,
});
export const GetAuthorizationTokenRequestFilterSensitiveLog = (obj) => ({
    ...obj,
});
export const GetAuthorizationTokenResultFilterSensitiveLog = (obj) => ({
    ...obj,
});
export const GetDomainPermissionsPolicyRequestFilterSensitiveLog = (obj) => ({
    ...obj,
});
export const GetDomainPermissionsPolicyResultFilterSensitiveLog = (obj) => ({
    ...obj,
});
export const GetPackageVersionAssetRequestFilterSensitiveLog = (obj) => ({
    ...obj,
});
export const GetPackageVersionAssetResultFilterSensitiveLog = (obj) => ({
    ...obj,
});
export const GetPackageVersionReadmeRequestFilterSensitiveLog = (obj) => ({
    ...obj,
});
export const GetPackageVersionReadmeResultFilterSensitiveLog = (obj) => ({
    ...obj,
});
export const GetRepositoryEndpointRequestFilterSensitiveLog = (obj) => ({
    ...obj,
});
export const GetRepositoryEndpointResultFilterSensitiveLog = (obj) => ({
    ...obj,
});
export const GetRepositoryPermissionsPolicyRequestFilterSensitiveLog = (obj) => ({
    ...obj,
});
export const GetRepositoryPermissionsPolicyResultFilterSensitiveLog = (obj) => ({
    ...obj,
});
export const ListDomainsRequestFilterSensitiveLog = (obj) => ({
    ...obj,
});
export const DomainSummaryFilterSensitiveLog = (obj) => ({
    ...obj,
});
export const ListDomainsResultFilterSensitiveLog = (obj) => ({
    ...obj,
});
export const ListPackagesRequestFilterSensitiveLog = (obj) => ({
    ...obj,
});
export const PackageSummaryFilterSensitiveLog = (obj) => ({
    ...obj,
});
export const ListPackagesResultFilterSensitiveLog = (obj) => ({
    ...obj,
});
export const ListPackageVersionAssetsRequestFilterSensitiveLog = (obj) => ({
    ...obj,
});
export const ListPackageVersionAssetsResultFilterSensitiveLog = (obj) => ({
    ...obj,
});
export const ListPackageVersionDependenciesRequestFilterSensitiveLog = (obj) => ({
    ...obj,
});
export const PackageDependencyFilterSensitiveLog = (obj) => ({
    ...obj,
});
export const ListPackageVersionDependenciesResultFilterSensitiveLog = (obj) => ({
    ...obj,
});
export const ListPackageVersionsRequestFilterSensitiveLog = (obj) => ({
    ...obj,
});
export const PackageVersionSummaryFilterSensitiveLog = (obj) => ({
    ...obj,
});
export const ListPackageVersionsResultFilterSensitiveLog = (obj) => ({
    ...obj,
});
export const ListRepositoriesRequestFilterSensitiveLog = (obj) => ({
    ...obj,
});
export const RepositorySummaryFilterSensitiveLog = (obj) => ({
    ...obj,
});
export const ListRepositoriesResultFilterSensitiveLog = (obj) => ({
    ...obj,
});
export const ListRepositoriesInDomainRequestFilterSensitiveLog = (obj) => ({
    ...obj,
});
export const ListRepositoriesInDomainResultFilterSensitiveLog = (obj) => ({
    ...obj,
});
export const ListTagsForResourceRequestFilterSensitiveLog = (obj) => ({
    ...obj,
});
export const ListTagsForResourceResultFilterSensitiveLog = (obj) => ({
    ...obj,
});
export const PutDomainPermissionsPolicyRequestFilterSensitiveLog = (obj) => ({
    ...obj,
});
export const PutDomainPermissionsPolicyResultFilterSensitiveLog = (obj) => ({
    ...obj,
});
export const PutPackageOriginConfigurationRequestFilterSensitiveLog = (obj) => ({
    ...obj,
});
export const PutPackageOriginConfigurationResultFilterSensitiveLog = (obj) => ({
    ...obj,
});
export const PutRepositoryPermissionsPolicyRequestFilterSensitiveLog = (obj) => ({
    ...obj,
});
export const PutRepositoryPermissionsPolicyResultFilterSensitiveLog = (obj) => ({
    ...obj,
});
export const TagResourceRequestFilterSensitiveLog = (obj) => ({
    ...obj,
});
export const TagResourceResultFilterSensitiveLog = (obj) => ({
    ...obj,
});
export const UntagResourceRequestFilterSensitiveLog = (obj) => ({
    ...obj,
});
export const UntagResourceResultFilterSensitiveLog = (obj) => ({
    ...obj,
});
export const UpdatePackageVersionsStatusRequestFilterSensitiveLog = (obj) => ({
    ...obj,
});
export const UpdatePackageVersionsStatusResultFilterSensitiveLog = (obj) => ({
    ...obj,
});
export const UpdateRepositoryRequestFilterSensitiveLog = (obj) => ({
    ...obj,
});
export const UpdateRepositoryResultFilterSensitiveLog = (obj) => ({
    ...obj,
});
