import { EndpointParameterInstructions } from "@aws-sdk/middleware-endpoint";
import { Command as $Command } from "@aws-sdk/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@aws-sdk/types";
import {
  CodeartifactClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../CodeartifactClient";
import {
  CopyPackageVersionsRequest,
  CopyPackageVersionsResult,
} from "../models/models_0";
export interface CopyPackageVersionsCommandInput
  extends CopyPackageVersionsRequest {}
export interface CopyPackageVersionsCommandOutput
  extends CopyPackageVersionsResult,
    __MetadataBearer {}
export declare class CopyPackageVersionsCommand extends $Command<
  CopyPackageVersionsCommandInput,
  CopyPackageVersionsCommandOutput,
  CodeartifactClientResolvedConfig
> {
  readonly input: CopyPackageVersionsCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: CopyPackageVersionsCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: CodeartifactClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<CopyPackageVersionsCommandInput, CopyPackageVersionsCommandOutput>;
  private serialize;
  private deserialize;
}
