import { EndpointParameterInstructions } from "@aws-sdk/middleware-endpoint";
import { Command as $Command } from "@aws-sdk/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@aws-sdk/types";
import {
  CodeartifactClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../CodeartifactClient";
import {
  DeleteDomainPermissionsPolicyRequest,
  DeleteDomainPermissionsPolicyResult,
} from "../models/models_0";
export interface DeleteDomainPermissionsPolicyCommandInput
  extends DeleteDomainPermissionsPolicyRequest {}
export interface DeleteDomainPermissionsPolicyCommandOutput
  extends DeleteDomainPermissionsPolicyResult,
    __MetadataBearer {}
export declare class DeleteDomainPermissionsPolicyCommand extends $Command<
  DeleteDomainPermissionsPolicyCommandInput,
  DeleteDomainPermissionsPolicyCommandOutput,
  CodeartifactClientResolvedConfig
> {
  readonly input: DeleteDomainPermissionsPolicyCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: DeleteDomainPermissionsPolicyCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: CodeartifactClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<
    DeleteDomainPermissionsPolicyCommandInput,
    DeleteDomainPermissionsPolicyCommandOutput
  >;
  private serialize;
  private deserialize;
}
