import { EndpointParameterInstructions } from "@aws-sdk/middleware-endpoint";
import { Command as $Command } from "@aws-sdk/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@aws-sdk/types";
import {
  CodeartifactClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../CodeartifactClient";
import {
  DeleteRepositoryPermissionsPolicyRequest,
  DeleteRepositoryPermissionsPolicyResult,
} from "../models/models_0";
export interface DeleteRepositoryPermissionsPolicyCommandInput
  extends DeleteRepositoryPermissionsPolicyRequest {}
export interface DeleteRepositoryPermissionsPolicyCommandOutput
  extends DeleteRepositoryPermissionsPolicyResult,
    __MetadataBearer {}
export declare class DeleteRepositoryPermissionsPolicyCommand extends $Command<
  DeleteRepositoryPermissionsPolicyCommandInput,
  DeleteRepositoryPermissionsPolicyCommandOutput,
  CodeartifactClientResolvedConfig
> {
  readonly input: DeleteRepositoryPermissionsPolicyCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: DeleteRepositoryPermissionsPolicyCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: CodeartifactClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<
    DeleteRepositoryPermissionsPolicyCommandInput,
    DeleteRepositoryPermissionsPolicyCommandOutput
  >;
  private serialize;
  private deserialize;
}
