import { EndpointParameterInstructions } from "@aws-sdk/middleware-endpoint";
import { Command as $Command } from "@aws-sdk/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@aws-sdk/types";
import {
  CodeartifactClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../CodeartifactClient";
import {
  DisassociateExternalConnectionRequest,
  DisassociateExternalConnectionResult,
} from "../models/models_0";
export interface DisassociateExternalConnectionCommandInput
  extends DisassociateExternalConnectionRequest {}
export interface DisassociateExternalConnectionCommandOutput
  extends DisassociateExternalConnectionResult,
    __MetadataBearer {}
export declare class DisassociateExternalConnectionCommand extends $Command<
  DisassociateExternalConnectionCommandInput,
  DisassociateExternalConnectionCommandOutput,
  CodeartifactClientResolvedConfig
> {
  readonly input: DisassociateExternalConnectionCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: DisassociateExternalConnectionCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: CodeartifactClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<
    DisassociateExternalConnectionCommandInput,
    DisassociateExternalConnectionCommandOutput
  >;
  private serialize;
  private deserialize;
}
