import { EndpointParameterInstructions } from "@aws-sdk/middleware-endpoint";
import { Command as $Command } from "@aws-sdk/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@aws-sdk/types";
import {
  CodeartifactClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../CodeartifactClient";
import {
  DisposePackageVersionsRequest,
  DisposePackageVersionsResult,
} from "../models/models_0";
export interface DisposePackageVersionsCommandInput
  extends DisposePackageVersionsRequest {}
export interface DisposePackageVersionsCommandOutput
  extends DisposePackageVersionsResult,
    __MetadataBearer {}
export declare class DisposePackageVersionsCommand extends $Command<
  DisposePackageVersionsCommandInput,
  DisposePackageVersionsCommandOutput,
  CodeartifactClientResolvedConfig
> {
  readonly input: DisposePackageVersionsCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: DisposePackageVersionsCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: CodeartifactClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<
    DisposePackageVersionsCommandInput,
    DisposePackageVersionsCommandOutput
  >;
  private serialize;
  private deserialize;
}
