import { EndpointParameterInstructions } from "@aws-sdk/middleware-endpoint";
import { Command as $Command } from "@aws-sdk/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
  WithSdkStreamMixin as __WithSdkStreamMixin,
} from "@aws-sdk/types";
import {
  CodeartifactClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../CodeartifactClient";
import {
  GetPackageVersionAssetRequest,
  GetPackageVersionAssetResult,
} from "../models/models_0";
export interface GetPackageVersionAssetCommandInput
  extends GetPackageVersionAssetRequest {}
export interface GetPackageVersionAssetCommandOutput
  extends __WithSdkStreamMixin<GetPackageVersionAssetResult, "asset">,
    __MetadataBearer {}
export declare class GetPackageVersionAssetCommand extends $Command<
  GetPackageVersionAssetCommandInput,
  GetPackageVersionAssetCommandOutput,
  CodeartifactClientResolvedConfig
> {
  readonly input: GetPackageVersionAssetCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: GetPackageVersionAssetCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: CodeartifactClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<
    GetPackageVersionAssetCommandInput,
    GetPackageVersionAssetCommandOutput
  >;
  private serialize;
  private deserialize;
}
