import { EndpointParameterInstructions } from "@aws-sdk/middleware-endpoint";
import { Command as $Command } from "@aws-sdk/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@aws-sdk/types";
import {
  CodeartifactClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../CodeartifactClient";
import {
  ListPackageVersionAssetsRequest,
  ListPackageVersionAssetsResult,
} from "../models/models_0";
export interface ListPackageVersionAssetsCommandInput
  extends ListPackageVersionAssetsRequest {}
export interface ListPackageVersionAssetsCommandOutput
  extends ListPackageVersionAssetsResult,
    __MetadataBearer {}
export declare class ListPackageVersionAssetsCommand extends $Command<
  ListPackageVersionAssetsCommandInput,
  ListPackageVersionAssetsCommandOutput,
  CodeartifactClientResolvedConfig
> {
  readonly input: ListPackageVersionAssetsCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: ListPackageVersionAssetsCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: CodeartifactClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<
    ListPackageVersionAssetsCommandInput,
    ListPackageVersionAssetsCommandOutput
  >;
  private serialize;
  private deserialize;
}
