import { EndpointParameterInstructions } from "@aws-sdk/middleware-endpoint";
import { Command as $Command } from "@aws-sdk/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@aws-sdk/types";
import {
  CodeartifactClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../CodeartifactClient";
import {
  ListRepositoriesInDomainRequest,
  ListRepositoriesInDomainResult,
} from "../models/models_0";
export interface ListRepositoriesInDomainCommandInput
  extends ListRepositoriesInDomainRequest {}
export interface ListRepositoriesInDomainCommandOutput
  extends ListRepositoriesInDomainResult,
    __MetadataBearer {}
export declare class ListRepositoriesInDomainCommand extends $Command<
  ListRepositoriesInDomainCommandInput,
  ListRepositoriesInDomainCommandOutput,
  CodeartifactClientResolvedConfig
> {
  readonly input: ListRepositoriesInDomainCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: ListRepositoriesInDomainCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: CodeartifactClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<
    ListRepositoriesInDomainCommandInput,
    ListRepositoriesInDomainCommandOutput
  >;
  private serialize;
  private deserialize;
}
