import { EndpointParameterInstructions } from "@aws-sdk/middleware-endpoint";
import { Command as $Command } from "@aws-sdk/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@aws-sdk/types";
import {
  CodeartifactClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../CodeartifactClient";
import {
  PutRepositoryPermissionsPolicyRequest,
  PutRepositoryPermissionsPolicyResult,
} from "../models/models_0";
export interface PutRepositoryPermissionsPolicyCommandInput
  extends PutRepositoryPermissionsPolicyRequest {}
export interface PutRepositoryPermissionsPolicyCommandOutput
  extends PutRepositoryPermissionsPolicyResult,
    __MetadataBearer {}
export declare class PutRepositoryPermissionsPolicyCommand extends $Command<
  PutRepositoryPermissionsPolicyCommandInput,
  PutRepositoryPermissionsPolicyCommandOutput,
  CodeartifactClientResolvedConfig
> {
  readonly input: PutRepositoryPermissionsPolicyCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: PutRepositoryPermissionsPolicyCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: CodeartifactClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<
    PutRepositoryPermissionsPolicyCommandInput,
    PutRepositoryPermissionsPolicyCommandOutput
  >;
  private serialize;
  private deserialize;
}
