import { EndpointParameterInstructions } from "@aws-sdk/middleware-endpoint";
import { Command as $Command } from "@aws-sdk/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@aws-sdk/types";
import {
  CodeartifactClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../CodeartifactClient";
import {
  UpdateRepositoryRequest,
  UpdateRepositoryResult,
} from "../models/models_0";
export interface UpdateRepositoryCommandInput extends UpdateRepositoryRequest {}
export interface UpdateRepositoryCommandOutput
  extends UpdateRepositoryResult,
    __MetadataBearer {}
export declare class UpdateRepositoryCommand extends $Command<
  UpdateRepositoryCommandInput,
  UpdateRepositoryCommandOutput,
  CodeartifactClientResolvedConfig
> {
  readonly input: UpdateRepositoryCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: UpdateRepositoryCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: CodeartifactClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<UpdateRepositoryCommandInput, UpdateRepositoryCommandOutput>;
  private serialize;
  private deserialize;
}
